### Method

# Hitaki SndMotuRegisterDspParameter get_input_flag

#### Declaration [src]

    void
    hitaki_snd_motu_register_dsp_parameter_get_input_flag (
      const HitakiSndMotuRegisterDspParameter* self,
      const guint8** flag
    )

#### Description [src]

Get the array with elements for the data of input flags. The data consists of bit flags below:

- 0x01: whether to make paired input
- 0x02: whether to enable phantom powering
- 0x04: whether to enable attenuation pad
- 0x08: whether to detect plug insert to jack.

#### Parameters

`flag`

  Type: An array of `guint8*`

  The array with elements for the data of input flags.

  The argument will be set by the function.
  The array must have 10 elements.
  The returned data is owned by the instance.